import { jsx } from "react/jsx-runtime";
import { NotebookIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Notebook = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Notebook", ...props, children: /* @__PURE__ */ jsx(NotebookIcon, { weight: variant }) });
  }
);
Notebook.displayName = "Notebook";
Object.assign(Notebook, { isGdsIcon: true });
export {
  Notebook
};
